classification
Title: Missing WSA* error codes
Type: enhancement Stage: resolved
Components: Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: amaury.forgeotdarc, brian.curtin, loewis, pitrou, steve.dower, tim.golden
Priority: low Keywords: patch

Created on 2011-04-28 22:38 by pitrou, last changed 2019-09-09 10:36 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15004 merged nsiregar, 2019-07-29 14:42
PR 15741 merged steve.dower, 2019-09-09 09:18
Messages (4)
msg134725 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-04-28 22:38
Apparently not all Windows socket error codes (see http://msdn.microsoft.com/en-us/library/ms740668%28v=vs.85%29.aspx) are mapped in the errno module.

For example, a buildbot recently got a 11004 error (see http://www.python.org/dev/buildbot/all/builders/x86%20Windows7%203.x/builds/3001/steps/test/logs/stdio), which is:

“WSANO_DATA
11004

Valid name, no data record of requested type.

    The requested name is valid and was found in the database, but it does not have the correct associated data being resolved for. The usual example for this is a host name-to-address translation attempt (using gethostbyname or WSAAsyncGetHostByName) which uses the DNS (Domain Name Server). An MX record is returned but no A record—indicating the host itself exists, but is not directly reachable.”


Not sure how this should be handled.
msg134727 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-04-28 22:47
Actually, it was raised by getaddrinfo(), so should perhaps belong in the socket module instead.
msg351372 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-09-09 09:15
New changeset 71ea688d662a74ddf39a3874e06c73e58df55c02 by Steve Dower (Ngalim Siregar) in branch 'master':
bpo-11953: Extend table of Windows WSA* error codes (GH-15004)
https://github.com/python/cpython/commit/71ea688d662a74ddf39a3874e06c73e58df55c02
msg351414 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-09-09 10:36
New changeset eb02196bd95ea12fcccff3960f36601596811570 by Steve Dower in branch '3.8':
bpo-11953: Extend table of Windows WSA* error codes (GH-15004)
https://github.com/python/cpython/commit/eb02196bd95ea12fcccff3960f36601596811570
History
Date User Action Args
2019-09-09 10:36:23steve.dowersetstatus: open -> closed
assignee: steve.dower
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.8, Python 3.9, - Python 3.3
2019-09-09 10:36:07steve.dowersetmessages: + msg351414
2019-09-09 09:18:03steve.dowersetpull_requests: + pull_request15395
2019-09-09 09:15:17steve.dowersetnosy: + steve.dower
messages: + msg351372
2019-07-29 18:27:53nanjekyejoannahsetnosy: - nanjekyejoannah
2019-07-29 14:42:12nsiregarsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14770
2019-07-26 22:26:33nanjekyejoannahsetnosy: + nanjekyejoannah
2011-04-28 22:47:32pitrousetmessages: + msg134727
2011-04-28 22:39:24pitrousetnosy: + tim.golden, brian.curtin
2011-04-28 22:38:42pitroucreate